Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>
implements JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllTimerInstanceId(Iterable<? extends Long> values)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder()`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addTimerInstanceId(long value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable(int index, JBPMMessages.Variable value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `addVariable(JBPMMessages.Variable value)`
`JBPMMessages.Variable.Builder` | `addVariableBuilder()`
`JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `build()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `buildPartial()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clear()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearExclusiveGroup()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearNodeInstance()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearTimerInstanceId()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clearVariable()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `clone()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `getExclusiveGroupBuilder(int index)`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>` | `getExclusiveGroupBuilderList()`
`int` | `getExclusiveGroupCount()`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `getNodeInstanceBuilder(int index)`
`List<JBPMMessages.ProcessInstance.NodeInstance.Builder>` | `getNodeInstanceBuilderList()`
`int` | `getNodeInstanceCount()`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()`
`long` | `getTimerInstanceId(int index)`
`int` | `getTimerInstanceIdCount()`
`List<Long>` | `getTimerInstanceIdList()`
`JBPMMessages.Variable` | `getVariable(int index)`
`JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)`
`List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeExclusiveGroup(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeNodeInstance(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `removeVariable(int index)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setTimerInstanceId(int index, long value)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `setVariable(int index, JBPMMessages.Variable value)`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### clear

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### clone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                            throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder>`
  Throws:
    `IOException`

### getTimerInstanceIdList

    public List<Long> getTimerInstanceIdList()

  Specified by:
    `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getTimerInstanceIdCount

    public int getTimerInstanceIdCount()

  Specified by:
    `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getTimerInstanceId

    public long getTimerInstanceId(int index)

  Specified by:
    `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### setTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setTimerInstanceId(int index,
                                                                                                            long value)

### addTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addTimerInstanceId(long value)

### addAllTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllTimerInstanceId(Iterable<? extends Long> values)

### clearTimerInstanceId

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearTimerInstanceId()

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  Specified by:
    `getVariableList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableCount

    public int getVariableCount()

  Specified by:
    `getVariableCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  Specified by:
    `getVariable` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### setVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setVariable(int index,
                                                                                                     JBPMMessages.Variable value)

### setVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setVariable(int index,
                                                                                                     JBPMMessages.Variable.Builder builderForValue)

### addVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable(JBPMMessages.Variable value)

### addVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable(int index,
                                                                                                     JBPMMessages.Variable value)

### addVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

### addVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addVariable(int index,
                                                                                                     JBPMMessages.Variable.Builder builderForValue)

### addAllVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

### clearVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearVariable()

### removeVariable

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeVariable(int index)

### getVariableBuilder

    public JBPMMessages.Variable.Builder getVariableBuilder(int index)

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder()

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder(int index)

### getVariableBuilderList

    public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### setNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setNodeInstance(int index,
                                                                                                         JBPMMessages.ProcessInstance.NodeInstance value)

### setNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setNodeInstance(int index,
                                                                                                         JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance(int index,
                                                                                                         JBPMMessages.ProcessInstance.NodeInstance value)

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addNodeInstance(int index,
                                                                                                         JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addAllNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)

### clearNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearNodeInstance()

### removeNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeNodeInstance(int index)

### getNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder getNodeInstanceBuilder(int index)

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder()

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder(int index)

### getNodeInstanceBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstance.Builder> getNodeInstanceBuilderList()

### getExclusiveGroupList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

  Specified by:
    `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupCount

    public int getExclusiveGroupCount()

  Specified by:
    `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroup

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

  Specified by:
    `getExclusiveGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setExclusiveGroup(int index,
                                                                                                           JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder setExclusiveGroup(int index,
                                                                                                           JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup(int index,
                                                                                                           JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addExclusiveGroup(int index,
                                                                                                           JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addAllExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)

### clearExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder clearExclusiveGroup()

### removeExclusiveGroup

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder removeExclusiveGroup(int index)

### getExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder getExclusiveGroupBuilder(int index)

### getExclusiveGroupOrBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

  Specified by:
    `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

  Specified by:
    `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder()

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder(int index)

### getExclusiveGroupBuilderList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder> getExclusiveGroupBuilderList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.